Bug 53818 - RFE: create disk image instead of writing to device
Summary: RFE: create disk image instead of writing to device
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-19 15:52 UTC by James Manning
Modified: 2007-03-27 03:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-17 16:47:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2001-09-19 15:52:52 UTC
mkbootdisk writes out to an actual device (like /dev/fd0), but I'd like the ability 
to simply write out an image instead.  During my 7.2 installs, I needed a 7.2 
boot floppy (ext3 support) at home and didn't have one around, but I could 
login to a remote machine (machine at work) that had 7.2 installed.  
Unfortunately, without any way to create the floppy image remotely, I couldn't 
create the boot floppy

jmm@jmm:/home/jmm> sudo mkbootdisk --device /tmp/foo.img 2.4.7-10
Password:
Insert a disk in /tmp/foo.img. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
/tmp/foo.img: No such file or directory
Failed to format /tmp/foo.img

Comment 1 James Manning 2002-05-17 16:47:52 UTC
just updating bugzilla entry that this is still a 7.3 "issue" or whatever

jmm@jmm /home/jmm> sudo mkbootdisk --device /tmp/boot.img $(uname -r)
Insert a disk in /tmp/boot.img. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
/tmp/boot.img: No such file or directory
Failed to format /tmp/boot.img

Comment 2 Erik Troan 2002-06-03 19:10:23 UTC
done in 1.4.4


Note You need to log in before you can comment on or make changes to this bug.